%define DATE	20000405
%define format	html-sv
%define format2	HTML/sv

Summary:	HOWTO documents (html format) from the Linux Documentation Project
Name:		howto-%{format}
Version:	7.1
Release:	2mdk
Group:		Books/Howtos
Source0:	howto-%{format}-%{DATE}.tar.bz2
Source1:    howto-%{format}_menuentries 
Url:		http://www.linuxdoc.org/docs.html#howto
Copyright:	Distributable
BuildRoot:	%{_tmppath}/howto-%{format}-root
BuildArchitectures: noarch
Obsoletes:	ldp, howto-html-swedish
Requires:   locales-sv, webclient, mandrake_desk > 1.0.3-7mdk

%description
Linux HOWTOs are detailed documents which describe a specific aspect of 
configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at http://www.linuxdoc.org/docs.html#howto

%prep 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/doc/HOWTO/%{format2}
cd $RPM_BUILD_ROOT/usr/doc/HOWTO/%{format2}
bzcat %{SOURCE0} | tar xv

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/doc/HOWTO/%{format2}
/usr/lib/menu/*

%post
## menu
if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
fi
 
%postun
## menu
if [ "$1" = 0 ]; then
    if [ -x /usr/bin/update-menus ]; then
        /usr/bin/update-menus
    fi
fi

%changelog
* Mon Apr 24 2000 Pixel <pixel@mandrakesoft.com> 7.1-2mdk
- change require (add locales-XX, change netscape to webclient)

* Thu Apr 20 2000 David BAUDENS <baudens@mandrakesoft.com> 7.1-1mdk
- 7.1

* Wed Apr 05 2000 David BAUDENS <baudens@mandrakesoft.com> 7.0-2mdk
- 20000405

* Fri Jan 07 2000 - David BAUDENS <baudens@mandrakesoft.com>
- Build for 7.0

* Tue Dec 30 1999 - David BAUDENS <baudens@mandrakesoft.com>
- French HTML version

* Sat Dec 04 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 19991204
- Keep only html format (others are in contribs)

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- no <BASE HREF...> in howto-index.html

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Jan 26 1999 Cristian Gafton <gafton@redhat.com>
- updated howtos
- marked translations with %lang(XX)
- get rid of pdf, ps and dvi formats

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added the Serbian Howtos

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- added croatian and slovenian subpackages

* Wed Apr 15 1998 Cristian Gafton <gafton@redhat.com>
- updated archive
- subpackages for each language

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- fixed missing HOWTOs because the download ran out of space
- added an index html page for the howto-html package

* Thu Oct 23 1997 Otto Hammersmith <otto@redhat.com>
- untarred the html tarballs to obsolete the ldp package

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed description for the right date

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Sat Apr 19 1997 Otto Hammersmith <otto@redhat.com>
- Updated to more recent HOWTOs.
- In the next major version, /usr/doc really ought to be cleaned out.
  Right now, the ldp and howto packages overlap somewhat. (HTML docs,
  the former, however, only has tar.gz files)
  I didn't want to rearrange too much for 4.2, and there are other
  documentation issues such as /usr/info.

